| GET | /api/services/{ServiceGuid}/registrationfilters |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| ServiceGuid | path | Guid | No | |
| Value | body | String | No | |
| Type | body | String | No | Allowable Values
|
| AccessGranted | body | Boolean | No | |
| CraExempt | body | Boolean | No | |
| RegistrationFilterGuid | body | Guid | No | |
| DefaultGroupGuid | body | Guid | No | |
| AllowSsoSelfRegister | body | Boolean | No | |
| Page | body | Integer | No | |
| PageSize | body | Integer | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| PageSize | form | int | No | |
| TotalPages | form | int | No | |
| TotalItems | form | int | No | |
| CurrentPage | form | int | No | |
| Results | form | List<RegistrationFilter> | No | |
| ResponseStatus | form | ResponseStatus | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| RegistrationFilterGuid | form | string | No | |
| Value | form | string | No | |
| Type | form | string | No | |
| AccessGranted | form | bool | No | |
| CraExempt | form | bool | No | |
| AllowSsoSelfRegister | form | bool | No | |
| ServiceGuid | form | Guid | No | |
| DefaultGroupGuid | form | Guid | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /api/services/{ServiceGuid}/registrationfilters HTTP/1.1
Host: api.secure-messaging.com
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
{
"pageSize": 0,
"totalPages": 0,
"totalItems": 0,
"currentPage": 0,
"results": [
{
"registrationFilterGuid": "String",
"value": "String",
"type": "String",
"accessGranted": false,
"craExempt": false,
"allowSsoSelfRegister": false,
"serviceGuid": "00000000000000000000000000000000",
"defaultGroupGuid": "00000000000000000000000000000000"
}
],
"responseStatus": {
"errorCode": "String",
"message": "String",
"stackTrace": "String",
"errors": [
{
"errorCode": "String",
"fieldName": "String",
"message": "String",
"meta": {
"String": "String"
}
}
],
"meta": {
"String": "String"
}
}
}